QGIS Application - Bug report #9887
Example script "Hex grid from layer bound" creates topologically incorrect grid
2014-03-26 06:19 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18408
Description

| think the vertices of the polygons do not have have the exact same coordinates. | performed the following test:
1. Create the hex grid,
2. Run extract nodes

3. Try to remove duplicate geometries

almost no points were removed because they differed somewhere on the 8th decimal position.

History

#1 - 2014-03-26 06:35 AM - Alexander Bruy

Just tested: extract nodes creates layer with 7980 features, after Delete duplicate geometries | have 2416 features

#2 - 2014-03-26 06:39 AM - Anita Graser

Should probably mention that the layer CRS was WGS84.

#3 - 2014-03-26 06:41 AM - Anita Graser
- Category set to 65

#4 - 2014-09-15 06:02 AM - Alexander Bruy
- Status changed from Open to In Progress
- Category changed from 65 to 67

Bug is not in script itself, but in underlying mmaqgisx algorithm

#5 - 2014-10-03 02:40 AM - Alexander Bruy
- Status changed from In Progress to Feedback

Should be fixed in commit:558765addf. Please check

#6 - 2014-10-04 12:20 PM - Giovanni Manghi
- Category deleted (67)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application

#7 - 2014-10-04 12:20 PM - Giovanni Manghi

- Category set to Field calculator

#8 - 2014-10-04 12:20 PM - Giovanni Manghi

- Assignee set to Victor Olaya

#9 - 2014-10-09 12:43 AM - Alexander Bruy
- Category changed from Field calculator to Processing/QGIS

#10 - 2014-10-11 04:17 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
